%define		name galib
%define		major_nss 2
%define		major_lib 0
%define		libname	%mklibname ga %major_lib
%define 	develname %mklibname -d ga
%define		staticlib %mklibname -d -s ga

Name:		%name
Summary:	C++ Genetic Algorithm Library
Version:	247
Release:	%mkrel 4
Group:		System/Cluster
BuildRequires:	autoconf 
Source:		%{name}%{version}.tgz
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%description
Copyright (c) 1994-1996 MIT, 1996-2005 Matthew Wall

GAlib is a C++ library of genetic algorithm objects.  With GAlib you can add 
evolutionary algorithm optimization to almost any program using any data 
representation and standard or custom selection, crossover, mutation, 
scaling, and termination methods.  

The library requires reasonable C++ compiler.  I have tested GAlib on MacOS
using Metrowerks and Symantec development environments, MacOSX using gcc2/3,
DOS/Windows using Borland C++ and MS VC++, and various UNIX platforms using 
g++, egcs, CC, DCC, xlC, and aCC.

Graphic examples (XWindows/Motif and MS Windows) are available, as are 
parallel, distributed implementations using PVM.  There are about 30 examples
that illustrate various ways to use GAlib on a variety of problems.

%package -n %develname
Summary:	Development files for %libname
Group:		System/Cluster
Provides:	%{name}-devel = %{version}-%{release}
%description -n %develname
Development files for %{libname}.

%package -n %staticlib
Summary:	Static libraries for %libname
Group:		System/Cluster
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
%description -n %staticlib
Static libraries for %{libname}.

%package examples
Summary:	GA examples and binairies
Group:		System/Cluster
Requires:	%name
%description examples
lot of examples


%prep
%setup -q -n %{name}%version

%build
%__make CXXFLAGS="-O2 -fomit-frame-pointer -g -Wall"

%install
%{__rm} -Rf %{buildroot}
mkdir -p %buildroot/%_libdir
mkdir -p %buildroot/%_bindir
%makeinstall_std LIB_DEST_DIR=%{buildroot}%{_libdir} HDR_DEST_DIR=%{buildroot}%{_includedir}
pushd examples
find . -type f -perm 755 -exec cp -a {} %{buildroot}/%{_bindir} \;
popd


%files
%doc ChangeLog COPYRIGHT doc/* LICENSE README RELEASE-NOTES TODO
%{_bindir}/*

%files -n %develname
%{_includedir}/ga/*.h
%{_includedir}/ga/*.C
%{_includedir}/ga/BUILD
%{_includedir}/ga/VERSION

%files -n %staticlib
%{_libdir}/*.a

%files examples
%doc README
%{_bindir}/ex*

%changelog
